/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

/**
 * Represents an <cmr-field> element of the ejb-jar.xml deployment
 * descriptor for the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.4.2.3 $</tt>
 */
public class CmrField
{

   private String cmrFieldName;

   private String cmrFieldType;

   public String getCmrFieldName()
   {
      return cmrFieldName;
   }

   public void setCmrFieldName(String cmrFieldName)
   {
      this.cmrFieldName = cmrFieldName;
   }

   public String getCmrFieldType()
   {
      return cmrFieldType;
   }

   public void setCmrFieldType(String cmrFieldType)
   {
      this.cmrFieldType = cmrFieldType;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("cmrFieldName=").append(cmrFieldName);
      sb.append(",cmrFieldType=").append(cmrFieldType);
      sb.append("]");
      return sb.toString();
   }
}
